Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network38.128.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
38.128.0.0
Broadcast address
38.191.255.255
First usable
38.128.0.1
Last usable
38.191.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 26800000 · Integer 645922816 to 650117119
Reverse DNS zones
128.38.in-addr.arpa
129.38.in-addr.arpa
130.38.in-addr.arpa
131.38.in-addr.arpa
132.38.in-addr.arpa
133.38.in-addr.arpa
134.38.in-addr.arpa
135.38.in-addr.arpa
136.38.in-addr.arpa
137.38.in-addr.arpa
138.38.in-addr.arpa
139.38.in-addr.arpa
140.38.in-addr.arpa
141.38.in-addr.arpa
142.38.in-addr.arpa
143.38.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100110.10000000.00000000.0000000038.128.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00100110.10000000.00000000.0000000038.128.0.0
Broadcast00100110.10111111.11111111.1111111138.191.255.255
Split into smaller subnets/21

38.128.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
138.128.0.0/2138.128.0.1 to 38.128.7.25438.128.7.2552,046
238.128.8.0/2138.128.8.1 to 38.128.15.25438.128.15.2552,046
338.128.16.0/2138.128.16.1 to 38.128.23.25438.128.23.2552,046
438.128.24.0/2138.128.24.1 to 38.128.31.25438.128.31.2552,046
538.128.32.0/2138.128.32.1 to 38.128.39.25438.128.39.2552,046
638.128.40.0/2138.128.40.1 to 38.128.47.25438.128.47.2552,046
738.128.48.0/2138.128.48.1 to 38.128.55.25438.128.55.2552,046
838.128.56.0/2138.128.56.1 to 38.128.63.25438.128.63.2552,046
938.128.64.0/2138.128.64.1 to 38.128.71.25438.128.71.2552,046
1038.128.72.0/2138.128.72.1 to 38.128.79.25438.128.79.2552,046
1138.128.80.0/2138.128.80.1 to 38.128.87.25438.128.87.2552,046
1238.128.88.0/2138.128.88.1 to 38.128.95.25438.128.95.2552,046
1338.128.96.0/2138.128.96.1 to 38.128.103.25438.128.103.2552,046
1438.128.104.0/2138.128.104.1 to 38.128.111.25438.128.111.2552,046
1538.128.112.0/2138.128.112.1 to 38.128.119.25438.128.119.2552,046
1638.128.120.0/2138.128.120.1 to 38.128.127.25438.128.127.2552,046
1738.128.128.0/2138.128.128.1 to 38.128.135.25438.128.135.2552,046
1838.128.136.0/2138.128.136.1 to 38.128.143.25438.128.143.2552,046
1938.128.144.0/2138.128.144.1 to 38.128.151.25438.128.151.2552,046
2038.128.152.0/2138.128.152.1 to 38.128.159.25438.128.159.2552,046
2138.128.160.0/2138.128.160.1 to 38.128.167.25438.128.167.2552,046
2238.128.168.0/2138.128.168.1 to 38.128.175.25438.128.175.2552,046
2338.128.176.0/2138.128.176.1 to 38.128.183.25438.128.183.2552,046
2438.128.184.0/2138.128.184.1 to 38.128.191.25438.128.191.2552,046
2538.128.192.0/2138.128.192.1 to 38.128.199.25438.128.199.2552,046
2638.128.200.0/2138.128.200.1 to 38.128.207.25438.128.207.2552,046
2738.128.208.0/2138.128.208.1 to 38.128.215.25438.128.215.2552,046
2838.128.216.0/2138.128.216.1 to 38.128.223.25438.128.223.2552,046
2938.128.224.0/2138.128.224.1 to 38.128.231.25438.128.231.2552,046
3038.128.232.0/2138.128.232.1 to 38.128.239.25438.128.239.2552,046
3138.128.240.0/2138.128.240.1 to 38.128.247.25438.128.247.2552,046
3238.128.248.0/2138.128.248.1 to 38.128.255.25438.128.255.2552,046
3338.129.0.0/2138.129.0.1 to 38.129.7.25438.129.7.2552,046
3438.129.8.0/2138.129.8.1 to 38.129.15.25438.129.15.2552,046
3538.129.16.0/2138.129.16.1 to 38.129.23.25438.129.23.2552,046
3638.129.24.0/2138.129.24.1 to 38.129.31.25438.129.31.2552,046
3738.129.32.0/2138.129.32.1 to 38.129.39.25438.129.39.2552,046
3838.129.40.0/2138.129.40.1 to 38.129.47.25438.129.47.2552,046
3938.129.48.0/2138.129.48.1 to 38.129.55.25438.129.55.2552,046
4038.129.56.0/2138.129.56.1 to 38.129.63.25438.129.63.2552,046
4138.129.64.0/2138.129.64.1 to 38.129.71.25438.129.71.2552,046
4238.129.72.0/2138.129.72.1 to 38.129.79.25438.129.79.2552,046
4338.129.80.0/2138.129.80.1 to 38.129.87.25438.129.87.2552,046
4438.129.88.0/2138.129.88.1 to 38.129.95.25438.129.95.2552,046
4538.129.96.0/2138.129.96.1 to 38.129.103.25438.129.103.2552,046
4638.129.104.0/2138.129.104.1 to 38.129.111.25438.129.111.2552,046
4738.129.112.0/2138.129.112.1 to 38.129.119.25438.129.119.2552,046
4838.129.120.0/2138.129.120.1 to 38.129.127.25438.129.127.2552,046
4938.129.128.0/2138.129.128.1 to 38.129.135.25438.129.135.2552,046
5038.129.136.0/2138.129.136.1 to 38.129.143.25438.129.143.2552,046
5138.129.144.0/2138.129.144.1 to 38.129.151.25438.129.151.2552,046
5238.129.152.0/2138.129.152.1 to 38.129.159.25438.129.159.2552,046
5338.129.160.0/2138.129.160.1 to 38.129.167.25438.129.167.2552,046
5438.129.168.0/2138.129.168.1 to 38.129.175.25438.129.175.2552,046
5538.129.176.0/2138.129.176.1 to 38.129.183.25438.129.183.2552,046
5638.129.184.0/2138.129.184.1 to 38.129.191.25438.129.191.2552,046
5738.129.192.0/2138.129.192.1 to 38.129.199.25438.129.199.2552,046
5838.129.200.0/2138.129.200.1 to 38.129.207.25438.129.207.2552,046
5938.129.208.0/2138.129.208.1 to 38.129.215.25438.129.215.2552,046
6038.129.216.0/2138.129.216.1 to 38.129.223.25438.129.223.2552,046
6138.129.224.0/2138.129.224.1 to 38.129.231.25438.129.231.2552,046
6238.129.232.0/2138.129.232.1 to 38.129.239.25438.129.239.2552,046
6338.129.240.0/2138.129.240.1 to 38.129.247.25438.129.247.2552,046
6438.129.248.0/2138.129.248.1 to 38.129.255.25438.129.255.2552,046
6538.130.0.0/2138.130.0.1 to 38.130.7.25438.130.7.2552,046
6638.130.8.0/2138.130.8.1 to 38.130.15.25438.130.15.2552,046
6738.130.16.0/2138.130.16.1 to 38.130.23.25438.130.23.2552,046
6838.130.24.0/2138.130.24.1 to 38.130.31.25438.130.31.2552,046
6938.130.32.0/2138.130.32.1 to 38.130.39.25438.130.39.2552,046
7038.130.40.0/2138.130.40.1 to 38.130.47.25438.130.47.2552,046
7138.130.48.0/2138.130.48.1 to 38.130.55.25438.130.55.2552,046
7238.130.56.0/2138.130.56.1 to 38.130.63.25438.130.63.2552,046
7338.130.64.0/2138.130.64.1 to 38.130.71.25438.130.71.2552,046
7438.130.72.0/2138.130.72.1 to 38.130.79.25438.130.79.2552,046
7538.130.80.0/2138.130.80.1 to 38.130.87.25438.130.87.2552,046
7638.130.88.0/2138.130.88.1 to 38.130.95.25438.130.95.2552,046
7738.130.96.0/2138.130.96.1 to 38.130.103.25438.130.103.2552,046
7838.130.104.0/2138.130.104.1 to 38.130.111.25438.130.111.2552,046
7938.130.112.0/2138.130.112.1 to 38.130.119.25438.130.119.2552,046
8038.130.120.0/2138.130.120.1 to 38.130.127.25438.130.127.2552,046
8138.130.128.0/2138.130.128.1 to 38.130.135.25438.130.135.2552,046
8238.130.136.0/2138.130.136.1 to 38.130.143.25438.130.143.2552,046
8338.130.144.0/2138.130.144.1 to 38.130.151.25438.130.151.2552,046
8438.130.152.0/2138.130.152.1 to 38.130.159.25438.130.159.2552,046
8538.130.160.0/2138.130.160.1 to 38.130.167.25438.130.167.2552,046
8638.130.168.0/2138.130.168.1 to 38.130.175.25438.130.175.2552,046
8738.130.176.0/2138.130.176.1 to 38.130.183.25438.130.183.2552,046
8838.130.184.0/2138.130.184.1 to 38.130.191.25438.130.191.2552,046
8938.130.192.0/2138.130.192.1 to 38.130.199.25438.130.199.2552,046
9038.130.200.0/2138.130.200.1 to 38.130.207.25438.130.207.2552,046
9138.130.208.0/2138.130.208.1 to 38.130.215.25438.130.215.2552,046
9238.130.216.0/2138.130.216.1 to 38.130.223.25438.130.223.2552,046
9338.130.224.0/2138.130.224.1 to 38.130.231.25438.130.231.2552,046
9438.130.232.0/2138.130.232.1 to 38.130.239.25438.130.239.2552,046
9538.130.240.0/2138.130.240.1 to 38.130.247.25438.130.247.2552,046
9638.130.248.0/2138.130.248.1 to 38.130.255.25438.130.255.2552,046
9738.131.0.0/2138.131.0.1 to 38.131.7.25438.131.7.2552,046
9838.131.8.0/2138.131.8.1 to 38.131.15.25438.131.15.2552,046
9938.131.16.0/2138.131.16.1 to 38.131.23.25438.131.23.2552,046
10038.131.24.0/2138.131.24.1 to 38.131.31.25438.131.31.2552,046
10138.131.32.0/2138.131.32.1 to 38.131.39.25438.131.39.2552,046
10238.131.40.0/2138.131.40.1 to 38.131.47.25438.131.47.2552,046
10338.131.48.0/2138.131.48.1 to 38.131.55.25438.131.55.2552,046
10438.131.56.0/2138.131.56.1 to 38.131.63.25438.131.63.2552,046
10538.131.64.0/2138.131.64.1 to 38.131.71.25438.131.71.2552,046
10638.131.72.0/2138.131.72.1 to 38.131.79.25438.131.79.2552,046
10738.131.80.0/2138.131.80.1 to 38.131.87.25438.131.87.2552,046
10838.131.88.0/2138.131.88.1 to 38.131.95.25438.131.95.2552,046
10938.131.96.0/2138.131.96.1 to 38.131.103.25438.131.103.2552,046
11038.131.104.0/2138.131.104.1 to 38.131.111.25438.131.111.2552,046
11138.131.112.0/2138.131.112.1 to 38.131.119.25438.131.119.2552,046
11238.131.120.0/2138.131.120.1 to 38.131.127.25438.131.127.2552,046
11338.131.128.0/2138.131.128.1 to 38.131.135.25438.131.135.2552,046
11438.131.136.0/2138.131.136.1 to 38.131.143.25438.131.143.2552,046
11538.131.144.0/2138.131.144.1 to 38.131.151.25438.131.151.2552,046
11638.131.152.0/2138.131.152.1 to 38.131.159.25438.131.159.2552,046
11738.131.160.0/2138.131.160.1 to 38.131.167.25438.131.167.2552,046
11838.131.168.0/2138.131.168.1 to 38.131.175.25438.131.175.2552,046
11938.131.176.0/2138.131.176.1 to 38.131.183.25438.131.183.2552,046
12038.131.184.0/2138.131.184.1 to 38.131.191.25438.131.191.2552,046
12138.131.192.0/2138.131.192.1 to 38.131.199.25438.131.199.2552,046
12238.131.200.0/2138.131.200.1 to 38.131.207.25438.131.207.2552,046
12338.131.208.0/2138.131.208.1 to 38.131.215.25438.131.215.2552,046
12438.131.216.0/2138.131.216.1 to 38.131.223.25438.131.223.2552,046
12538.131.224.0/2138.131.224.1 to 38.131.231.25438.131.231.2552,046
12638.131.232.0/2138.131.232.1 to 38.131.239.25438.131.239.2552,046
12738.131.240.0/2138.131.240.1 to 38.131.247.25438.131.247.2552,046
12838.131.248.0/2138.131.248.1 to 38.131.255.25438.131.255.2552,046
12938.132.0.0/2138.132.0.1 to 38.132.7.25438.132.7.2552,046
13038.132.8.0/2138.132.8.1 to 38.132.15.25438.132.15.2552,046
13138.132.16.0/2138.132.16.1 to 38.132.23.25438.132.23.2552,046
13238.132.24.0/2138.132.24.1 to 38.132.31.25438.132.31.2552,046
13338.132.32.0/2138.132.32.1 to 38.132.39.25438.132.39.2552,046
13438.132.40.0/2138.132.40.1 to 38.132.47.25438.132.47.2552,046
13538.132.48.0/2138.132.48.1 to 38.132.55.25438.132.55.2552,046
13638.132.56.0/2138.132.56.1 to 38.132.63.25438.132.63.2552,046
13738.132.64.0/2138.132.64.1 to 38.132.71.25438.132.71.2552,046
13838.132.72.0/2138.132.72.1 to 38.132.79.25438.132.79.2552,046
13938.132.80.0/2138.132.80.1 to 38.132.87.25438.132.87.2552,046
14038.132.88.0/2138.132.88.1 to 38.132.95.25438.132.95.2552,046
14138.132.96.0/2138.132.96.1 to 38.132.103.25438.132.103.2552,046
14238.132.104.0/2138.132.104.1 to 38.132.111.25438.132.111.2552,046
14338.132.112.0/2138.132.112.1 to 38.132.119.25438.132.119.2552,046
14438.132.120.0/2138.132.120.1 to 38.132.127.25438.132.127.2552,046
14538.132.128.0/2138.132.128.1 to 38.132.135.25438.132.135.2552,046
14638.132.136.0/2138.132.136.1 to 38.132.143.25438.132.143.2552,046
14738.132.144.0/2138.132.144.1 to 38.132.151.25438.132.151.2552,046
14838.132.152.0/2138.132.152.1 to 38.132.159.25438.132.159.2552,046
14938.132.160.0/2138.132.160.1 to 38.132.167.25438.132.167.2552,046
15038.132.168.0/2138.132.168.1 to 38.132.175.25438.132.175.2552,046
15138.132.176.0/2138.132.176.1 to 38.132.183.25438.132.183.2552,046
15238.132.184.0/2138.132.184.1 to 38.132.191.25438.132.191.2552,046
15338.132.192.0/2138.132.192.1 to 38.132.199.25438.132.199.2552,046
15438.132.200.0/2138.132.200.1 to 38.132.207.25438.132.207.2552,046
15538.132.208.0/2138.132.208.1 to 38.132.215.25438.132.215.2552,046
15638.132.216.0/2138.132.216.1 to 38.132.223.25438.132.223.2552,046
15738.132.224.0/2138.132.224.1 to 38.132.231.25438.132.231.2552,046
15838.132.232.0/2138.132.232.1 to 38.132.239.25438.132.239.2552,046
15938.132.240.0/2138.132.240.1 to 38.132.247.25438.132.247.2552,046
16038.132.248.0/2138.132.248.1 to 38.132.255.25438.132.255.2552,046
16138.133.0.0/2138.133.0.1 to 38.133.7.25438.133.7.2552,046
16238.133.8.0/2138.133.8.1 to 38.133.15.25438.133.15.2552,046
16338.133.16.0/2138.133.16.1 to 38.133.23.25438.133.23.2552,046
16438.133.24.0/2138.133.24.1 to 38.133.31.25438.133.31.2552,046
16538.133.32.0/2138.133.32.1 to 38.133.39.25438.133.39.2552,046
16638.133.40.0/2138.133.40.1 to 38.133.47.25438.133.47.2552,046
16738.133.48.0/2138.133.48.1 to 38.133.55.25438.133.55.2552,046
16838.133.56.0/2138.133.56.1 to 38.133.63.25438.133.63.2552,046
16938.133.64.0/2138.133.64.1 to 38.133.71.25438.133.71.2552,046
17038.133.72.0/2138.133.72.1 to 38.133.79.25438.133.79.2552,046
17138.133.80.0/2138.133.80.1 to 38.133.87.25438.133.87.2552,046
17238.133.88.0/2138.133.88.1 to 38.133.95.25438.133.95.2552,046
17338.133.96.0/2138.133.96.1 to 38.133.103.25438.133.103.2552,046
17438.133.104.0/2138.133.104.1 to 38.133.111.25438.133.111.2552,046
17538.133.112.0/2138.133.112.1 to 38.133.119.25438.133.119.2552,046
17638.133.120.0/2138.133.120.1 to 38.133.127.25438.133.127.2552,046
17738.133.128.0/2138.133.128.1 to 38.133.135.25438.133.135.2552,046
17838.133.136.0/2138.133.136.1 to 38.133.143.25438.133.143.2552,046
17938.133.144.0/2138.133.144.1 to 38.133.151.25438.133.151.2552,046
18038.133.152.0/2138.133.152.1 to 38.133.159.25438.133.159.2552,046
18138.133.160.0/2138.133.160.1 to 38.133.167.25438.133.167.2552,046
18238.133.168.0/2138.133.168.1 to 38.133.175.25438.133.175.2552,046
18338.133.176.0/2138.133.176.1 to 38.133.183.25438.133.183.2552,046
18438.133.184.0/2138.133.184.1 to 38.133.191.25438.133.191.2552,046
18538.133.192.0/2138.133.192.1 to 38.133.199.25438.133.199.2552,046
18638.133.200.0/2138.133.200.1 to 38.133.207.25438.133.207.2552,046
18738.133.208.0/2138.133.208.1 to 38.133.215.25438.133.215.2552,046
18838.133.216.0/2138.133.216.1 to 38.133.223.25438.133.223.2552,046
18938.133.224.0/2138.133.224.1 to 38.133.231.25438.133.231.2552,046
19038.133.232.0/2138.133.232.1 to 38.133.239.25438.133.239.2552,046
19138.133.240.0/2138.133.240.1 to 38.133.247.25438.133.247.2552,046
19238.133.248.0/2138.133.248.1 to 38.133.255.25438.133.255.2552,046
19338.134.0.0/2138.134.0.1 to 38.134.7.25438.134.7.2552,046
19438.134.8.0/2138.134.8.1 to 38.134.15.25438.134.15.2552,046
19538.134.16.0/2138.134.16.1 to 38.134.23.25438.134.23.2552,046
19638.134.24.0/2138.134.24.1 to 38.134.31.25438.134.31.2552,046
19738.134.32.0/2138.134.32.1 to 38.134.39.25438.134.39.2552,046
19838.134.40.0/2138.134.40.1 to 38.134.47.25438.134.47.2552,046
19938.134.48.0/2138.134.48.1 to 38.134.55.25438.134.55.2552,046
20038.134.56.0/2138.134.56.1 to 38.134.63.25438.134.63.2552,046
20138.134.64.0/2138.134.64.1 to 38.134.71.25438.134.71.2552,046
20238.134.72.0/2138.134.72.1 to 38.134.79.25438.134.79.2552,046
20338.134.80.0/2138.134.80.1 to 38.134.87.25438.134.87.2552,046
20438.134.88.0/2138.134.88.1 to 38.134.95.25438.134.95.2552,046
20538.134.96.0/2138.134.96.1 to 38.134.103.25438.134.103.2552,046
20638.134.104.0/2138.134.104.1 to 38.134.111.25438.134.111.2552,046
20738.134.112.0/2138.134.112.1 to 38.134.119.25438.134.119.2552,046
20838.134.120.0/2138.134.120.1 to 38.134.127.25438.134.127.2552,046
20938.134.128.0/2138.134.128.1 to 38.134.135.25438.134.135.2552,046
21038.134.136.0/2138.134.136.1 to 38.134.143.25438.134.143.2552,046
21138.134.144.0/2138.134.144.1 to 38.134.151.25438.134.151.2552,046
21238.134.152.0/2138.134.152.1 to 38.134.159.25438.134.159.2552,046
21338.134.160.0/2138.134.160.1 to 38.134.167.25438.134.167.2552,046
21438.134.168.0/2138.134.168.1 to 38.134.175.25438.134.175.2552,046
21538.134.176.0/2138.134.176.1 to 38.134.183.25438.134.183.2552,046
21638.134.184.0/2138.134.184.1 to 38.134.191.25438.134.191.2552,046
21738.134.192.0/2138.134.192.1 to 38.134.199.25438.134.199.2552,046
21838.134.200.0/2138.134.200.1 to 38.134.207.25438.134.207.2552,046
21938.134.208.0/2138.134.208.1 to 38.134.215.25438.134.215.2552,046
22038.134.216.0/2138.134.216.1 to 38.134.223.25438.134.223.2552,046
22138.134.224.0/2138.134.224.1 to 38.134.231.25438.134.231.2552,046
22238.134.232.0/2138.134.232.1 to 38.134.239.25438.134.239.2552,046
22338.134.240.0/2138.134.240.1 to 38.134.247.25438.134.247.2552,046
22438.134.248.0/2138.134.248.1 to 38.134.255.25438.134.255.2552,046
22538.135.0.0/2138.135.0.1 to 38.135.7.25438.135.7.2552,046
22638.135.8.0/2138.135.8.1 to 38.135.15.25438.135.15.2552,046
22738.135.16.0/2138.135.16.1 to 38.135.23.25438.135.23.2552,046
22838.135.24.0/2138.135.24.1 to 38.135.31.25438.135.31.2552,046
22938.135.32.0/2138.135.32.1 to 38.135.39.25438.135.39.2552,046
23038.135.40.0/2138.135.40.1 to 38.135.47.25438.135.47.2552,046
23138.135.48.0/2138.135.48.1 to 38.135.55.25438.135.55.2552,046
23238.135.56.0/2138.135.56.1 to 38.135.63.25438.135.63.2552,046
23338.135.64.0/2138.135.64.1 to 38.135.71.25438.135.71.2552,046
23438.135.72.0/2138.135.72.1 to 38.135.79.25438.135.79.2552,046
23538.135.80.0/2138.135.80.1 to 38.135.87.25438.135.87.2552,046
23638.135.88.0/2138.135.88.1 to 38.135.95.25438.135.95.2552,046
23738.135.96.0/2138.135.96.1 to 38.135.103.25438.135.103.2552,046
23838.135.104.0/2138.135.104.1 to 38.135.111.25438.135.111.2552,046
23938.135.112.0/2138.135.112.1 to 38.135.119.25438.135.119.2552,046
24038.135.120.0/2138.135.120.1 to 38.135.127.25438.135.127.2552,046
24138.135.128.0/2138.135.128.1 to 38.135.135.25438.135.135.2552,046
24238.135.136.0/2138.135.136.1 to 38.135.143.25438.135.143.2552,046
24338.135.144.0/2138.135.144.1 to 38.135.151.25438.135.151.2552,046
24438.135.152.0/2138.135.152.1 to 38.135.159.25438.135.159.2552,046
24538.135.160.0/2138.135.160.1 to 38.135.167.25438.135.167.2552,046
24638.135.168.0/2138.135.168.1 to 38.135.175.25438.135.175.2552,046
24738.135.176.0/2138.135.176.1 to 38.135.183.25438.135.183.2552,046
24838.135.184.0/2138.135.184.1 to 38.135.191.25438.135.191.2552,046
24938.135.192.0/2138.135.192.1 to 38.135.199.25438.135.199.2552,046
25038.135.200.0/2138.135.200.1 to 38.135.207.25438.135.207.2552,046
25138.135.208.0/2138.135.208.1 to 38.135.215.25438.135.215.2552,046
25238.135.216.0/2138.135.216.1 to 38.135.223.25438.135.223.2552,046
25338.135.224.0/2138.135.224.1 to 38.135.231.25438.135.231.2552,046
25438.135.232.0/2138.135.232.1 to 38.135.239.25438.135.239.2552,046
25538.135.240.0/2138.135.240.1 to 38.135.247.25438.135.247.2552,046
25638.135.248.0/2138.135.248.1 to 38.135.255.25438.135.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses